package cn.ezhizao.project.system.mapper;

import cn.ezhizao.project.system.domain.SysDeptUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

public interface SysDeptUserMapper extends BaseMapper<SysDeptUser> {

    /**
     * 删除用户的部门信息
     * @param  deptUser
     * @return
     */
    public Integer deleteByDeptIdAndUserId(SysDeptUser deptUser);
    public List<SysDeptUser> getList(SysDeptUser deptUser);
    /**
     * 修改部门用户是否是工段长或调机
     * @param data
     * @return
     */
    Integer updateDeptUser(SysDeptUser data);
}
